summaryrefslogtreecommitdiff
path: root/.config/git/hooks/with-signoff
diff options
context:
space:
mode:
Diffstat (limited to '.config/git/hooks/with-signoff')
-rwxr-xr-x.config/git/hooks/with-signoff/prepare-commit-msg18
1 files changed, 18 insertions, 0 deletions
diff --git a/.config/git/hooks/with-signoff/prepare-commit-msg b/.config/git/hooks/with-signoff/prepare-commit-msg
new file mode 100755
index 0000000..fd76931
--- /dev/null
+++ b/.config/git/hooks/with-signoff/prepare-commit-msg
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+NAME=$(git config user.name)
+EMAIL=$(git config user.email)
+
+if [ -z "$NAME" ]; then
+ echo "empty git config user.name"
+ exit 1
+fi
+
+if [ -z "$EMAIL" ]; then
+ echo "empty git config user.email"
+ exit 1
+fi
+
+git interpret-trailers --if-exists doNothing --trailer \
+ "Signed-off-by: $NAME <$EMAIL>" \
+ --in-place "$1"
dac, mips: don't change code that has been removed in edac/mips tree xtensa: Change mail addresses of Hannes Weiner and Oskar Schirmer lib: Change mail address of Oskar Schirmer net: Change mail address of Oskar Schirmer arm/m68k: Change mail address of Sebastian Hess i2c: Change mail address of Oskar Schirmer net: Fix tcp_build_and_update_options comment in struct tcp_sock atomic64_32.h: fix parameter naming mismatch Kconfig: replace "--- help ---" with "---help---" c2port: fix bogus Kconfig "default no" edac: Fix spelling errors. qla1280: Remove redundant NULL check before release_firmware() call remoteproc: remove redundant NULL check before release_firmware() qla2xxx: Remove redundant NULL check before release_firmware() call. aic94xx: Get rid of redundant NULL check before release_firmware() call tehuti: delete redundant NULL check before release_firmware() qlogic: get rid of a redundant test for NULL before call to release_firmware() bna: remove redundant NULL test before release_firmware() tg3: remove redundant NULL test before release_firmware() call typhoon: get rid of redundant conditional before all to release_firmware() ...
Diffstat (limited to 'include/linux/tcp.h')